🔗 ChainRichlist API Documentation

Base URL: https://chain.penetron-zaporojie.ru

1. Consulta Pública de Wallet (без регистрации)

GET /api/public/wallet/?address=bc1q...

2. Private API (с ключом)

GET /api/v1/wallet/<address>/
Header: X-API-Key: ваш_ключ

Примеры использования

cURL / Bash

curl -H "X-API-Key: ТВОЙ_API_КЛЮЧ" \
"https://chain.penetron-zaporojie.ru/api/v1/wallet/bc1qxy2kdykj9s4q..."
  

Python

import requests

api_key = "ТВОЙ_API_КЛЮЧ"
address = "bc1qxy2kdykj9s4q..."

response = requests.get(
    f"https://chain.penetron-zaporojie.ru/api/v1/wallet/{address}/",
    headers={"X-API-Key": api_key}
)
print(response.json())
  

JavaScript (Fetch)

const apiKey = "ТВОЙ_API_КЛЮЧ";
const address = "bc1q...";

fetch(https://chain.penetron-zaporojie.ru/api/v1/wallet/${address}/, {
  headers: { "X-API-Key": apiKey }
})
.then(r => r.json())
.then(data => console.log(data));
  

Тарифные ограничения

Поддерживаемые сети: BTC, LTC (остальные в разработке)